Find Aggregator Ledger Account
curl --request GET \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/ledger/accounts \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/ledger/accounts"
headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/ledger/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"id": "3",
"token": "acct_a4a2ecaa-5d14-4330-970b-89c0d5c30934",
"account_type": "ACCT_AGGREGATOR",
"account_name": "DLocal",
"normal_balance": "SIDE_CREDIT",
"balance": "0",
"currency": "PKR",
"running_balance": "0",
"vault_token": "lock_81f9c5db-3e7b-47f1-80b6-a1de8a762de8",
"bank_acct_id": "acc_ff3555cc-149a-4883-9945-401170d0480d",
"external_partner_id": "partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c",
"external_aggregator_id": "agg_10951914-7e84-40e9-9693-19a22c8ede89",
"external_merchant_id": "",
"created_at": "2025-10-26T21:39:39Z",
"updated_at": "2025-12-16T18:39:17Z"
}
}{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}Ledgers
Find Aggregator Ledger Account
Explore ledger account in detail
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
ledger
/
accounts
Find Aggregator Ledger Account
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
Was this page helpful?
⌘I